<?php
// error_reporting(0);
error_reporting(E_ALL);
// print_r(phpinfo());

define('dirPlantilla', 'plantilla-siste/',true);

if(require_once(dirPlantilla.'class.plantilla-st.php')){
	$pt = new plantilla();
	$pt->setTitle('SisTe | Zona administrativa');
	if(!isset($_GET['dir']) && isset($_GET['pagina'])){
		$pagina = str_replace('/','',$_GET['pagina']);
		switch($pagina){
			case '':
				if(isset($_SESSION['usuario']['privilegio']) && $_SESSION['usuario']['privilegio']==1)
					header('Location: '.base.'clientes');
				elseif(isset($_SESSION['usuario']['privilegio']) && $_SESSION['usuario']['privilegio']==2)
					header('Location: '.base.'a-estacionamientos');
				else
					header('Location: '.base.'login');
				break;
			case 'a-estacionamientos':
				$pt->setPlantilla('admin');
				$pt->addJs('libs/picnet.table.filter.min');
				$pt->addJs('buscar',true);
				$pt->content(true,$pagina,null,2);
				break;
			case 'a-usuarios':
				$pt->setPlantilla('admin');
				$pt->addJs('libs/picnet.table.filter.min');
				$pt->addJs('buscar',true);
				$pt->content(true,$pagina,null,2);
				break;
			case 'estacionamientos':
				$pt->content(true,$pagina,null,1);
				break;
			case 'clientes':
				$pt->addJs('libs/picnet.table.filter.min');
				$pt->addJs('buscar',true);
				$pt->content(true,$pagina,null,1);
				break;
			case 'servicios':
				$pt->addJs('libs/picnet.table.filter.min');
				$pt->addJs('buscar',true);
				$pt->content(true,$pagina,null,1);
				break;
			case 'precios':
				$pt->addJs('libs/picnet.table.filter.min');
				$pt->addJs('buscar',true);
				$pt->content(true,$pagina,null,1);
				break;
			case 'editar-informacion':
				$pt->addJs('google-map');
				$pt->content(true,$pagina,null,1);
				break;
			case 'login':
				$pt->content(false,$pagina);
				break;
			case 'salir':
				$sesion = new Sesion();
				$sesion->terminar();
				header('Location: '.base);
				break;
			default:
				header('Location: '.base.'404/');
				break;
		}
	}elseif(isset($_GET['dir']) && isset($_GET['pagina'])){
		$pagina = str_replace('/','',$_GET['pagina']);
		$id = (isset($_GET['id']))?explode(' ',$_GET['id']):null;
		(isset($id[0]))?'':$id[0]=null;
		(isset($id[1]))?'':$id[1]=null;
		$_GET['id'] = $id;
		arsort($id);
		$dir = str_replace(array_merge($id, array($pagina.'/',$pagina)),'',$_GET['dir']);
		$dir = str_replace('//','/',$dir);
		switch($_GET['dir']){
			case 'a-estacionamientos/'.$id[0]:
				$pt->setPlantilla('admin');
				$pt->content(true,$pagina,$dir,2);
				break;
			case 'a-estacionamientos/nuevo':
				$pt->setPlantilla('admin');
				$pt->addJs('google-map');
				$pt->content(true,$pagina,$dir,2);
				break;
			case 'a-estacionamientos/'.$id[0].'/editar':
				$pt->setPlantilla('admin');
				$pt->addJs('google-map');
				$pt->content(true,$pagina,$dir,2);
				break;
			case 'a-estacionamientos/'.$id[0].'/eliminar':
				$pt->setPlantilla('admin');
				$pt->content(true,$pagina,$dir,2);
				break;
			case 'a-estacionamientos/'.$id[0].'/usuario/'.$id[1].'/eliminar':
				$pt->setPlantilla('admin');
				$pt->content(true,$pagina,$dir,2);
				break;
			case 'a-usuarios/'.$id[0]:
				$pt->setPlantilla('admin');
				$pt->content(true,$pagina,$dir,2);
				break;
			case 'a-usuarios/nuevo':
				$pt->setPlantilla('admin');
				$pt->addJs('google-map');
				$pt->content(true,$pagina,$dir,2);
				break;
			case 'a-usuarios/'.$id[0].'/editar':
				$pt->setPlantilla('admin');
				$pt->addJs('google-map');
				$pt->content(true,$pagina,$dir,2);
				break;
			case 'a-usuarios/'.$id[0].'/eliminar':
				$pt->setPlantilla('admin');
				$pt->content(true,$pagina,$dir,2);
				break;
			case 'a-usuarios/'.$id[0].'/ligar':
				$pt->setPlantilla('admin');
				$pt->addJs('libs/jquery-ui-1.10.2.custom.min');
				$pt->addCss('jquery-ui-1.10.2.custom.min');
				$pt->content(true,$pagina,$dir,2);
				break;
			case 'a-usuarios/'.$id[0].'/estacionamiento/'.$id[1].'/editar':
				$pt->setPlantilla('admin');
				$pt->content(true,$pagina,$dir,2);
				break;
			case 'a-usuarios/'.$id[0].'/estacionamiento/'.$id[1].'/eliminar':
				$pt->setPlantilla('admin');
				$pt->content(true,$pagina,$dir,2);
				break;
			case 'estacionamientos/'.$id[0].'/informes':
				$pt->content(true,$pagina,$dir,1);
				break;
			case 'estacionamientos/'.$id[0].'/informes/generar':
				$pt->setPlantilla(null);
				$pt->content(true,$pagina,$dir,1);
				break;
			case 'estacionamientos/'.$id[0].'/comentarios':
				$pt->addJs('libs/picnet.table.filter.min');
				$pt->addJs('buscar',true);
				$pt->content(true,$pagina,$dir,1);
				break;
			case 'clientes/nuevo':
				$pt->addJs('cliente-nuevo');
				$pt->content(true,$pagina,$dir,1);
				break;
			case 'clientes/actuales':
				$pt->addJs('libs/picnet.table.filter.min');
				$pt->addJs('buscar',true);
				$pt->content(true,$pagina,$dir,1);
				break;
			case 'clientes/estacionados':
				$pt->addJs('libs/picnet.table.filter.min');
				$pt->addJs('buscar',true);
				$pt->content(true,$pagina,$dir,1);
				break;
			case 'clientes/servicios-adicionales':
				$pt->addJs('libs/picnet.table.filter.min');
				$pt->addJs('buscar',true);
				$pt->content(true,$pagina,$dir,1);
				break;
			case 'clientes/'.$id[0]:
				$pt->content(true,$pagina,$dir,1);
				break;
			case 'clientes/'.$id[0].'/eliminar':
				$pt->content(true,$pagina,$dir,1);
				break;
			case 'clientes/'.$id[0].'/salida':
				$pt->content(true,$pagina,$dir,1);
				break;
			case 'clientes/'.$id[0].'/pagar':
				$pt->content(true,$pagina,$dir,1);
				break;
			case 'clientes/'.$id[0].'/servicio/nuevo':
				$pt->content(true,$pagina,$dir,1);
				break;
			case 'clientes/'.$id[0].'/servicio/'.$id[1].'/eliminar':
				$pt->content(true,$pagina,$dir,1);
				break;
			case 'precios/nuevo':
				$pt->content(true,$pagina,$dir,1);
				break;
			case 'precios/'.$id[0].'/editar':
				$pt->content(true,$pagina,$dir,1);
				break;
			case 'precios/'.$id[0].'/eliminar':
				$pt->content(true,$pagina,$dir,1);
			case 'servicios/nuevo':
				$pt->content(true,$pagina,$dir,1);
				break;
			case 'servicios/'.$id[0].'/editar':
				$pt->content(true,$pagina,$dir,1);
				break;
			case 'servicios/activos':
				$pt->addJs('libs/picnet.table.filter.min');
				$pt->addJs('buscar',true);
				$pt->content(true,$pagina,$dir,1);
				break;
			case 'servicios/desactivados':
				$pt->addJs('libs/picnet.table.filter.min');
				$pt->addJs('buscar',true);
				$pt->content(true,$pagina,$dir,1);
				break;
			default:
				header('Location: '.base.'404/');
				break;
		}
	}else{
		header('Location: '.base.'404/');
	}
}else{
	header('Location: http://'.$_SERVER['HTTP_HOST'].'/404/');
}
?>